model_list:
  - model_name: azure-cloudflare
    litellm_params:
      model: azure/gpt-4.1-mini
      api_base: https://gateway.ai.cloudflare.com/v1/0399b10e77ac6668c80404a5ff49eb37/litellm-test/azure-openai/openai-gpt-4-test-v-1
      api_key: os.environ/AZURE_API_KEY
      api_version: 2023-07-01-preview

litellm_settings:
  set_verbose: True
  cache: True          # set cache responses to True
  cache_params:        # set cache params for s3
    type: s3
    s3_bucket_name: litellm-my-test-bucket-2   # AWS Bucket Name for S3
    s3_region_name: us-east-1              # AWS Region Name for S3
    s3_aws_access_key_id: os.environ/AWS_ACCESS_KEY_ID  # AWS Access Key ID for S3
    s3_aws_secret_access_key: os.environ/AWS_SECRET_ACCESS_KEY  # AWS Secret Access Key for S3